import { FetchResult } from "@apollo/client/core";
import type { CustomHeaders } from "@vue-storefront/magento-types";
import { CreateProductReviewInput, CreateProductReviewMutation } from "@vue-storefront/magento-types";
import { Context } from "../../types/context";
/**
 * Create product review
 *
 * @example
 * Simple usage:
 * ```ts
 * import { sdk } from '~/sdk.config.ts';
 *
 * // create review data structure
 * const review = {
 *  sku: 'some-sku',
 *  nickname: 'john.doe',
 *  summary: 'awesome thing, whatever it is!',
 *  text: 'this is a test review',
 *  ratings: [{
 *    id: 'NA==', // base64 encoded id
 *    value_id: 'MjA=' // base64 encoded value_id
 *  }]
 * };
 *
 * const result = await sdk.magento.createProductReview(review);
 *
 * // result will contain the created review and summary data
 * ```
 */
export declare function createProductReview(context: Context, input: CreateProductReviewInput, customHeaders?: CustomHeaders): Promise<FetchResult<CreateProductReviewMutation>>;
//# sourceMappingURL=index.d.ts.map